Bug 9089 - segfault when importing rpmmodule.so into python
segfault when importing rpmmodule.so into python
Product: Red Hat Raw Hide
Classification: Retired
Component: glint (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
Depends On:
  Show dependency treegraph
Reported: 2000-02-02 23:44 EST by jdalbec
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-02-03 10:35:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description jdalbec 2000-02-02 23:44:08 EST
$ python
>>> import rpm
segfaults.  I have reproduced this with the latest
python...rpm and rpm-python...rpm from rawhide.
There does not appear to be a more recent version of glint.
This makes the update agent unusable.
I'm filing this against glint b/c
$ rpm -q --file /usr/lib/python1.5/lib-dynload/rpm.so

strace indicates the most recent system call reads
/usr/lib/rpm/rpmrc in one gulp.

gdb backtrace:
#0  0x4013b6d8 in main_arena () from /lib/libc.so.6
#1  0x4009fab7 in fputs () at iofputs.c:46
#2  0x401c127f in rpmError () from /usr/lib/python1.5/lib-dynload/rpm.so
#3  0x401bafe1 in doReadRC () from /usr/lib/python1.5/lib-dynload/rpm.so
#4  0x401ba7e4 in rpmReadRC () from /usr/lib/python1.5/lib-dynload/rpm.so
#5  0x401ba644 in rpmReadConfigFiles ()
   from /usr/lib/python1.5/lib-dynload/rpm.so
#6  0x401b5242 in initrpm () from /usr/lib/python1.5/lib-dynload/rpm.so
#7  0x805c414 in _PyImport_LoadDynamicModule ()
#8  0x805abb8 in PyImport_ExecCodeModuleEx ()
#9  0x805b655 in PyImport_ImportModuleEx ()
#10 0x805b2a7 in PyImport_ImportModuleEx ()
#11 0x805af98 in PyImport_ImportModule ()
#12 0x805b0b0 in PyImport_ImportModuleEx ()
#13 0x80740f0 in PyTuple_Fini ()
#14 0x8053ec0 in PyEval_CallObjectWithKeywords ()
#15 0x8053dd8 in PyEval_CallObjectWithKeywords ()
#16 0x8052aea in PyEval_EvalCode ()
#17 0x80512db in PyEval_EvalCode ()
Comment 1 Bill Nottingham 2000-02-03 10:35:59 EST
glint will not work with rpm-3.0, period. Your best bet
is to remove that shared object; if you want to use
python RPM bindings, use the rpm-python module.

Note You need to log in before you can comment on or make changes to this bug.